### Method

# FwupdPlugin Context get_firmware_gtype_ids

#### Declaration [src]

    GPtrArray*
    fu_context_get_firmware_gtype_ids (
      FuContext* self
    )

#### Description [src]

Returns all the firmware `GType` IDs.

Available since: | 1.6.0

#### Return value

Returns: | An array of `utf8`
| Firmware IDs.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.